import React from 'react';
import PropTypes from 'prop-types';
import Button from '@s-ui/react-atom-button';

var getClass = function getClass(type) {
  return "sui-HeaderActions" + (type ? "-" + type : '');
};

var HeaderActions = function HeaderActions(_ref) {
  var buttonLabel = _ref.buttonLabel,
      icon = _ref.icon,
      onButtonClick = _ref.onButtonClick,
      onIconClick = _ref.onIconClick,
      title = _ref.title;
  return React.createElement("header", {
    className: getClass()
  }, React.createElement("span", {
    className: getClass('icon'),
    onClick: onIconClick
  }, icon), React.createElement("h1", {
    className: getClass('title')
  }, title), React.createElement("span", {
    className: getClass('button')
  }, React.createElement(Button, {
    type: "primary",
    negative: true,
    onClick: onButtonClick
  }, buttonLabel)));
};

HeaderActions.displayName = 'HeaderActions';
export default HeaderActions;